/**Begin D:\ProgramFiles\PDM_UPGRADE\pdm1\FMM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_ISSUEENTRY') 
 CREATE TABLE T_FMM_ISSUEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISSUEDAY DATETIME,
FADDTYPEID BIGINT DEFAULT 0 NOT NULL,
FISSUEBY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_LICENSE') 
 CREATE TABLE T_FMM_LICENSE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FLICENSETYPEID BIGINT DEFAULT 0 NOT NULL,
FAUTHTYPEID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FISSUEDATE DATETIME,
FPERMANENT CHAR(1) DEFAULT '0' NOT NULL,
FEXPIREDATE DATETIME,
FISSUEAUTHORITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISSUER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_LICENSE_L') 
 CREATE TABLE T_FMM_LICENSE_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_SIGNEDENTRY') 
 CREATE TABLE T_FMM_SIGNEDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FENGINEMODELID BIGINT DEFAULT 0 NOT NULL,
FSIGNEDDATE DATETIME,
FVALIDDATE DATETIME,
FSIGNEDAUTHORITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\ProgramFiles\PDM_UPGRADE\pdm1\FMM_table.sql **/
